library(shiny)
library(leaflet)
library(maptools)
library(rgdal)
library(raster)
library(shinyFiles )

#shinyFilesExample()

source("W:/Projekte/LAU_RaKliDa/LT3 Ereignistage/Funktionen.R")


# Define UI ----
ui <- fluidPage(
  titlePanel("Rumliche Klimaindizes"),
  
  fluidRow(
    column(3,
           shinyDirButton('folder', 'Ordner Maximaltemperatur', 'Bitte Ordner auswhlen', FALSE)),
    column(3,
           fileInput("file", h3("File input")))
    
  ),
  
  fluidRow(
    
    column(3,
           dateRangeInput("dates", h3("Date range")))
  ),
  
  fluidRow(
    column(3,
           selectInput("select", h3("Select box"), 
                       choices = list("Eistage" = 1, "Frosttage" = 2,
                                      "Tropennchte" = 3, "Sommertage" = 4,
                                      "heie Tage" = 5, "Wstentage" = 6,
                                      "Heiztage" = 7, "Khltage" = 8,
                                      "Vegetationstage" = 9, "Temperaturperzentile" = 10,
                                      "Niederschlagstage" = 11, "Starkniederschlagstage" = 12,
                                      "Extremniederschlagstage" = 13, "trockene Tage" = 14,
                                      "maximale Werte" = 15, "Minimale Werte" = 16,
                                      "wdsi" = 17, "csdi" = 18,
                                      "ddp" = 19, "wdp" = 20
                                      ), selected = 1))

    ## eis, frost, tropen, sommer, hei, wste, heiz, khl, veg, perz_temp
    ## regen, starkregen, extremregen, trocken, perz_nied
    ## MAX, MIN
    ## andauer, wsdi, csdi, ddp, wdp
    
    
    
  )
  
)

# Define server logic ----
server <- function(input, output) {
  shinyDirChoose(input, 'folder', roots=c(wd=getwd()), filetypes=c('', 'txt'))
  
  observe({
    print(input$folder)
  })
}

# Run the app ----
shinyApp(ui = ui, server = server)



